/**
 * the HighlightRange Class（HRange）
 * It's a special object called HRange in Highlighter,
 * represents for a piece of chosen dom
 */
import type { DomNode, HookMap } from '../../types';
import type Hook from '../../util/hook';
import HighlightSource from '../../model/source/index';
declare class HighlightRange {
    static removeDomRange: (_window: Window) => void;
    start: DomNode;
    end: DomNode;
    text: string;
    id: string;
    frozen: boolean;
    constructor(start: DomNode, end: DomNode, text: string, id: string, frozen?: boolean);
    static fromSelection($root: Document | HTMLElement, idHook: Hook<string>): HighlightRange;
    serialize($root: Document | HTMLElement, hooks: HookMap): HighlightSource;
}
export default HighlightRange;
